@import "./global.css";

/* HEADER */
.header {
    padding: 50px 0;
}

.header__menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo__icon {
    width: 150px;
    height: 64px;

    display: block;
}

.header__nav {
    display: flex;
    gap: 64px;
}

.header__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;
}

.header__burger {
    padding: 0;

    display: none;

    border: 0;
    background: transparent;

    cursor: pointer;
}

.header-burger__icon {
    width: 40px;
    height: 40px;

    display: block;
}

/* 1024 */
@media (max-width: 1239px) {
    .header__burger {
        display: block;
    }

    .header__nav {
        display: none;
    }

    .header__button {
        display: none;
    }
}

/* 360 */
@media (max-width: 767px) {
    .header {
        padding: 15px 0;
    }

    .header-logo__icon {
        width: 92px;
        height: 40px;
    }
}


/* SIDEMENU */
.sidemenu {
    width: 100%;
    height: 100vh;

    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;

    display: none;

    background: rgba(11, 4, 2, .1);
    backdrop-filter: blur(75px);

    animation: blur .8s;
}

.sidemenu.sidemenu_active {
    display: block;
}

@keyframes blur {
    from {
        backdrop-filter: blur(0);
    }
    to {
        backdrop-filter: blur(75px);
    }
}

.sidemenu__inner {
    padding: 50px 40px;

    width: 100%;
    max-width: 280px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;

    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;

    background: var(--color-black);

    animation: fade-in-right .8s;
}

@keyframes fade-in-right {
    from {
        opacity: 0;
        transform: translate3d(100%, 0, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.sidemenu__burger {
    padding: 0;

    border: 0;
    background: transparent;

    cursor: pointer;
}

.sidemenu-burger__icon {
    width: 40px;
    height: 40px;

    display: block;
}

.sidemenu__nav {
    margin-top: 40px;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 40px;
}

.sidemenu__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;

    color: var(--color-white);
}

/* 360 */
@media (max-width: 767px) {
    .sidemenu__inner {
        padding: 15px;
    }
}


/* CONTACTS */
.contacts {
    margin-top: 100px;
}

.contacts__title {
    text-align: center;
}

.contacts__list {
    margin-top: 50px;

    display: flex;
    flex-direction: column;
    gap: 40px;
}

.contacts-item__head {
    display: flex;
    align-items: center;
    gap: 12px;
}

.contacts-item__icon {
    width: 40px;
    height: 40px;

    display: block;
}

.contacts-item__body {
    margin-top: 20px;
}

.contacts-item__text {
    font-size: 20px;
}

/* 360 */
@media (max-width: 767px) {
    .contacts {
        margin-top: 50px;
    }

    .contacts__list {
        margin-top: 20px;

        gap: 20px;
    }

    .contacts-item__head {
        gap: 8px;
    }

    .contacts-item__icon {
        width: 24px;
        height: 24px;
    }

    .contacts-item__body {
        margin-top: 12px;
    }

    .contacts-item__text {
        font-size: 16px;
    }
}


/* ORDER */
.order {
    margin-top: 100px;
    padding: 150px 0;

    background: url("../assets/img/contacts/background.png") no-repeat center / cover;
}

.order__container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.order__title {
    max-width: 820px;

    text-align: center;
}

.order__text {
    margin-top: 24px;

    max-width: 600px;

    font-size: 32px;
    text-align: center;
}

.order__form {
    margin-top: 80px;

    max-width: 820px;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.order__input {
    padding: 32px 48px;

    width: 100%;

    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 32px;
    line-height: 1.2em;

    display: flex;
    align-items: center;

    border: 2px solid rgba(255, 255, 255, .6);
    background: rgba(255, 255, 255, .01);
    backdrop-filter: blur(35px);
    color: var(--color-white);

    transition: background-color .3s ease, color .3s ease, border .3s ease;
}

.order__input::placeholder {
    color: rgba(255, 255, 255, .6);

    transition: color .3s ease;
}

.order__input:focus {
    outline: 0;
    background: rgba(255, 68, 26, .1);
    border: 2px solid var(--color-orange);
}

.order__input:focus::placeholder {
    color: var(--color-white);
}

.order__button {
    grid-column-start: 1;
    grid-column-end: 3;
}

/* 1024 */
@media (max-width: 1239px) {
    .order {
        padding: 100px 0;
    }

    .order__text {
        max-width: 480px;

        font-size: 24px;
    }

    .order__form {
        margin-top: 50px;
    }
}

/* 768 */
@media (max-width: 1023px) {
    .order__input {
        padding: 28px 36px;

        font-size: 24px;
    }
}

/* 360 */
@media (max-width: 767px) {
    .order {
        margin-top: 50px;
        padding: 50px 0;
    }

    .order__text {
        margin-top: 16px;

        font-size: 20px;
    }

    .order__form {
        margin-top: 40px;

        grid-template-columns: 1fr;
        gap: 10px;
    }

    .order__button {
        grid-column-start: 1;
        grid-column-end: 2;
    }
}
.order_alert{
    display: none;
    grid-column-start: 1;
    grid-column-end: 3;
    padding: 20px;
    font-size: 20px;
}
.order_alert__success{
    background-color: #D4EDDA;
    border: 1px #C3E6CB;
    color: #155724;
}
.order_alert__danger{
    background-color: #F8D7DA;
    border: 1px #F5C6CB;
    color: #721C24;
}



/* FOOTER */
.footer {
    padding: 50px 0;
}

.footer__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-logo__icon {
    width: 150px;
    height: 64px;

    display: block;
}

.footer__nav {
    display: flex;
    gap: 64px;
}

.footer__link {
    font-family: var(--font-sfProText);
    font-weight: 400;

    font-size: 24px;
    line-height: 1.5em;
}

/* 768 */
@media (max-width: 1023px) {
    .footer__nav {
        display: none;
    }
}

/* 360 */
@media (max-width: 767px) {
    .footer {
        padding: 20px 0;
    }

    .footer-logo__icon {
        width: 92px;
        height: 40px;
    }
}
